- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rax_cdb – create/delete or resize a Rackspace Cloud Databases instance

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- creates / deletes or resize a Rackspace Cloud Databases instance and optionally waits for it to be ‘running’. The name option needs to be unique since it’s used to identify the instance.

## Requirements

The below requirements are needed on the host that executes this module.

- pyrax

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key string |  | Rackspace API key, overrides credentials. aliases: password
auth_endpoint - | Default: "https://identity.api.rackspacecloud.com/v2.0/" | The URI of the authentication service.
cdb_type - | Default: "MySQL" | type of instance (i.e. MySQL, MariaDB, Percona) aliases: type
cdb_version - | Choices: 5.1 5.6 10 | version of database (MySQL supports 5.1 and 5.6, MariaDB supports 10, Percona supports 5.6) aliases: version
credentials path |  | File to find the Rackspace credentials in. Ignored if api_key and username are provided. aliases: creds_file
env string |  | Environment as configured in ~/.pyrax.cfg, see https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#pyrax-configuration.
flavor - | Default: 1 | flavor to use for the instance 1 to 6 (i.e. 512MB to 16GB)
identity_type - | Default: "rackspace" | Authentication mechanism to use, such as rackspace or keystone.
name - |  | Name of the databases server instance
region string | Default: "DFW" | Region to create an instance in.
state - | Choices: present ← absent | Indicate desired state of the resource
tenant_id - |  | The tenant ID used for authentication.
tenant_name - |  | The tenant name used for authentication.
username string |  | Rackspace username, overrides credentials.
validate_certs boolean | Choices: no yes | Whether or not to require SSL validation of API endpoints. aliases: verify_ssl
volume - | Default: 2 | Volume size of the database 1-150GB
wait boolean | Choices: no ← yes | wait for the instance to be in state 'running' before returning
wait_timeout - | Default: 300 | how long before wait gives up, in seconds

## Notes

Note

- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.

- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating

- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file

- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, …)

- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.

- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating

- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file

- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, …)

## Examples

    - name: Build a Cloud Databases
      gather_facts: False
      tasks:
        - name: Server build request
          local_action:
            module: rax_cdb
            credentials: ~/.raxpub
            region: IAD
            name: db-server1
            flavor: 1
            volume: 2
            cdb_type: MySQL
            cdb_version: 5.6
            wait: yes
            state: present
          register: rax_db_server

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Simon JAILLET (@jails)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.